Class SelectCAEBody
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen.CAE
Assembly: NXOpen.dll
Syntax
public class SelectCAEBody : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectCAEBody()
Declaration
protected SelectCAEBody()
Properties
Value
Declaration
public CAEBody Value { get; set; }
Property Value
Type | Description |
---|---|
CAEBody |
Methods
GetValue(out CAEBody, out View, out Point3d)
Declaration
public void GetValue(out CAEBody selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
CAEBody | selection | |
View | view | |
Point3d | point |
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public CAEBody GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
CAEBody |
GetValue(out InferSnapType.SnapType, out CAEBody, out View, out Point3d, out CAEBody, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out CAEBody selection1, out View view1, out Point3d point1, out CAEBody selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
CAEBody | selection1 | |
View | view1 | |
Point3d | point1 | |
CAEBody | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(CAEBody, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(CAEBody selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CAEBody | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(CAEBody, View, Point3d)
Declaration
public void SetValue(CAEBody selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
CAEBody | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, CAEBody, View, Point3d, CAEBody, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, CAEBody selection1, View view1, Point3d point1, CAEBody selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
CAEBody | selection1 | |
View | view1 | |
Point3d | point1 | |
CAEBody | selection2 | |
View | view2 | |
Point3d | point2 |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink